## plasma-desktop 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-desktop)

set(PROJECT_VERSION "5.20.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")
set(ACCOUNTSQT_DEP_VERSION "1.13")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    NewStuffQuick
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    Declarative
    DBusAddons
    Activities
    ActivitiesStats
    Config
    WidgetsAddons
)

find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt5 PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE OPTIONAL
   PURPOSE "Required for building the OpenDesktop integration plugin")

find_package(KAccounts 20.04)
set_package_properties(KAccounts PROPERTIES DESCRIPTION "Accounts management library for KDE applications"
   TYPE OPTIONAL
   PURPOSE "Required for building the OpenDesktop integration plugin")

find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES DESCRIPTION "Plugin for SignOnQt5 which handles OAuth and OAuth2 logins"
   URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
   TYPE RUNTIME
   PURPOSE "Required for running the OpenDesktop integration plugin")

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibColorCorrect ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KDED CONFIG REQUIRED)

find_package(KF5Baloo ${KF5_MIN_VERSION})
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to build the File Search KCM"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )
if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "https://www.freedesktop.org/wiki/Software/systemd/"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for mouse KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")

find_package(XorgServer)
set_package_properties(XorgServer PROPERTIES TYPE OPTIONAL)
add_feature_info("XorgServer" XORGSERVER_FOUND "XServer header needed for touchpad KCM (X11 backend)")

find_package(XorgLibinput)
set_package_properties(XorgLibinput PROPERTIES TYPE OPTIONAL)
add_feature_info("XorgLibinput" XORGLIBINPUT_FOUND "Libinput driver headers needed for mouse and touchpad KCM")

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts_FOUND AND AccountsQt5_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== kaccess/CMakeLists.txt ===
# KI18N Translation Domain for this application
add_definitions(-DTRANSLATION_DOMAIN=\"kaccess\")


find_package(Phonon4Qt5 REQUIRED NO_MODULE)
include_directories(${PHONON_INCLUDE_DIR})

set(kaccess_KDEINIT_SRCS kaccess.cpp main.cpp )

kf5_add_kdeinit_executable(kaccess ${kaccess_KDEINIT_SRCS})

target_link_libraries(kdeinit_kaccess
    Qt5::Widgets
    Qt5::X11Extras
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Completion
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::DBusAddons
    Phonon::phonon4qt5
    ${X11_LIBRARIES}
)

install(TARGETS kdeinit_kaccess ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS kaccess         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kaccess.desktop  DESTINATION  ${KDE_INSTALL_AUTOSTARTDIR} )
install( FILES kaccess.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )

=== solid-device-automounter/CMakeLists.txt ===
project(device_automounter)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(device_automounter_lib_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/lib/AutomounterSettings.cpp)

add_subdirectory(kcm)
add_subdirectory(kded)

=== applets/taskmanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.taskmanager\")

plasma_install_package(package org.kde.plasma.taskmanager)

set(taskmanagerplugin_SRCS
    plugin/backend.cpp
    plugin/draghelper.cpp
    plugin/taskmanagerplugin.cpp

    plugin/smartlaunchers/smartlauncherbackend.cpp
    plugin/smartlaunchers/smartlauncheritem.cpp
)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

add_library(taskmanagerplugin SHARED ${taskmanagerplugin_SRCS})

# FIXME Cleanup no longer used libs.
target_link_libraries(taskmanagerplugin
                      Qt5::Core
                      Qt5::DBus
                      Qt5::Qml
                      Qt5::Quick
                      KF5::Activities
                      KF5::ActivitiesStats
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOGui
                      KF5::KIOFileWidgets # KFilePlacesModel
                      KF5::Notifications # KNotificationJobUiDelegate
                      KF5::Plasma
                      KSysGuard::ProcessCore
                      KF5::Service
                      KF5::WindowSystem
                      PW::LibNotificationManager)

install(TARGETS taskmanagerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

=== doc/kcontrol/CMakeLists.txt ===
ecm_optional_add_subdirectory(clock)
ecm_optional_add_subdirectory(colors)
ecm_optional_add_subdirectory(joystick)
ecm_optional_add_subdirectory(kcmaccess)
ecm_optional_add_subdirectory(kcmstyle)
ecm_optional_add_subdirectory(solid-actions)
ecm_optional_add_subdirectory(splashscreen)
ecm_optional_add_subdirectory(cookies)
ecm_optional_add_subdirectory(baloo)

ecm_optional_add_subdirectory(autostart)
ecm_optional_add_subdirectory(cursortheme)
ecm_optional_add_subdirectory(fonts)
ecm_optional_add_subdirectory(fontinst)
ecm_optional_add_subdirectory(keys)
ecm_optional_add_subdirectory(keyboard)
ecm_optional_add_subdirectory(mouse)
ecm_optional_add_subdirectory(paths)
ecm_optional_add_subdirectory(kcmsmserver)
ecm_optional_add_subdirectory(kcmlaunchfeedback)
ecm_optional_add_subdirectory(notifications)
ecm_optional_add_subdirectory(formats)
ecm_optional_add_subdirectory(spellchecking)
ecm_optional_add_subdirectory(componentchooser)
ecm_optional_add_subdirectory(kded)
ecm_optional_add_subdirectory(solid-device-automounter)
ecm_optional_add_subdirectory(workspaceoptions)

=== kcms/access/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaccess\")

set(kcm_access_PART_SRCS kcmaccess.cpp )

ki18n_wrap_ui(kcm_access_PART_SRCS
  accessibility.ui
)

add_library(kcm_access MODULE ${kcm_access_PART_SRCS})

target_link_libraries(kcm_access
    Qt5::X11Extras
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::NotifyConfig
    KF5::WindowSystem
    ${X11_LIBRARIES}
)

install(TARGETS kcm_access DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES kcmaccess.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KCMActivities)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_activities5\")

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Quick Sql Qml DBus)
find_package (KF5KCMUtils ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Declarative ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5XmlGui ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)

set (KAMD_KCM_DATADIR
   ${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/workspace/settings/
   )

if (NOT IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
   set (KAMD_KCM_DATADIR "${CMAKE_INSTALL_PREFIX}/${KAMD_KCM_DATADIR}")
endif ()

configure_file (kactivities-kcm-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-kcm-features.h)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(imports)

set (KAMD_KCM_SRCS
   kcm_activities.cpp

   MainConfigurationWidget.cpp
   ActivitiesTab.cpp
   SwitchingTab.cpp
   PrivacyTab.cpp

   BlacklistedApplicationsModel.cpp
   ExtraActivitiesInterface.cpp
   )

ki18n_wrap_ui (
   KAMD_KCM_SRCS
   ui/MainConfigurationWidgetBase.ui
   ui/PrivacyTabBase.ui
   ui/SwitchingTabBase.ui
   )

qt5_add_dbus_interface (
   KAMD_KCM_SRCS

   common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
   )

kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_settings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_plugins_settings.kcfgc GENERATE_MOC)

add_library (kcm_activities MODULE ${KAMD_KCM_SRCS})

target_link_libraries (kcm_activities
   Qt5::Quick
   Qt5::QuickWidgets
   Qt5::Core
   Qt5::Sql
   Qt5::Qml
   Qt5::DBus
   KF5::KCMUtils
   KF5::I18n
   KF5::Service
   KF5::Declarative
   KF5::XmlGui
   KF5::GlobalAccel
   KF5::Activities
   )

install (
   TARGETS kcm_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}
   )

install (
   FILES kcm_activities.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

install (
   DIRECTORY

   qml/activitiesTab
   qml/privacyTab

   DESTINATION ${KAMD_KCM_DATADIR}/qml
   )

install(FILES kactivitymanagerd_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kactivitymanagerd_plugins_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kcms/desktoppaths/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoppaths\")

set(kcm_desktoppaths_PART_SRCS
   globalpaths.cpp
   desktoppathssettings.cpp
   desktoppathsdata.cpp
)

ki18n_wrap_ui(kcm_desktoppaths_PART_SRCS globalpaths.ui)

add_library(kcm_desktoppaths MODULE ${kcm_desktoppaths_PART_SRCS})

target_link_libraries(kcm_desktoppaths
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
)

install(TARGETS kcm_desktoppaths DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES desktoppath.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== kcms/kded/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_kded\")

set(kcm_kded_SRCS
    kcmkded.cpp
    modulesmodel.cpp
    filterproxymodel.cpp
)

qt5_add_dbus_interface(kcm_kded_SRCS ${KDED_DBUS_INTERFACE} kded_interface)

ecm_qt_declare_logging_category(kcm_kded_SRCS HEADER debug.h
                                IDENTIFIER KCM_KDED
                                CATEGORY_NAME kcm_kded
                                DEFAULT_SEVERITY Info)

add_library(kcm_kded MODULE ${kcm_kded_SRCS})

kcoreaddons_desktop_to_json(kcm_kded "kcmkded.desktop")

target_link_libraries(kcm_kded KF5::QuickAddons KF5::Service KF5::I18n Qt5::DBus)

install(TARGETS kcm_kded  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms )

########### install files ###############

install( FILES kcmkded.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

kpackage_install_package(package kcm5_kded kcms)

=== kcms/ksmserver/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmsmserver\")

set(kcm_smserver_PART_SRCS kcmsmserver.cpp smserverdata.cpp)

qt5_add_dbus_interface(kcm_smserver_PART_SRCS org.freedesktop.login1.Manager.xml login1_manager)

kconfig_add_kcfg_files(kcm_smserver_PART_SRCS smserversettings.kcfgc GENERATE_MOC)
ki18n_wrap_ui(kcm_smserver_PART_SRCS smserverconfigdlg.ui )

add_library(kcm_smserver MODULE ${kcm_smserver_PART_SRCS})


target_link_libraries(kcm_smserver Qt5::Core Qt5::DBus Qt5::Widgets KF5::I18n KF5::ConfigCore KF5::KCMUtils PW::KWorkspace)

install(TARGETS kcm_smserver  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES kcmsmserver.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

add_subdirectory(kconf_update)

=== kcms/ksplash/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_splashscreen\")

set(kcm_splashscreen_SRCS
  kcm.cpp
  splashscreendata.cpp
)

kconfig_add_kcfg_files(kcm_splashscreen_SRCS splashscreensettings.kcfgc GENERATE_MOC)

add_library(kcm_splashscreen MODULE ${kcm_splashscreen_SRCS})

target_link_libraries(kcm_splashscreen
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::ConfigWidgets
  KF5::KCMUtils
  KF5::QuickAddons
  KF5::I18n
  KF5::Plasma
  KF5::PlasmaQuick

  Qt5::DBus
  Qt5::Widgets
  Qt5::QuickWidgets
)

kcoreaddons_desktop_to_json(kcm_splashscreen "kcm_splashscreen.desktop" SERVICE_TYPES kcmodule.desktop)

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES splashscreensettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kcm_splashscreen.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES ksplash.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR} )
install(TARGETS kcm_splashscreen DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_splashscreen kcms)

=== kcms/mouse/CMakeLists.txt ===
if(NOT X11_Xinput_FOUND)
    message(FATAL_ERROR "Xinput not found")
endif()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmmouse\")

add_subdirectory( misc )

## Add common files here.
set(common_SRCS
    inputbackend.cpp
)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(common_SRCS
    HEADER
        logging.h
    IDENTIFIER
        KCM_MOUSE
    CATEGORY_NAME
        kcm_mouse
    DEFAULT_SEVERITY
        Critical
)

include(backends/x11.cmake)
include(backends/kwin_wl.cmake)

########### next target ###############

add_executable(kapplymousetheme
    kapplymousetheme.cpp
    ${common_SRCS}
    ${backend_SRCS}
)

target_link_libraries(kapplymousetheme
    ${backend_LIBS}
    Qt5::Gui
    Qt5::DBus
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    PW::KWorkspace
)

install(TARGETS kapplymousetheme ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(common_SRCS
    ${common_SRCS}
    plugin.cpp
    kcm/configcontainer.cpp
    kcm/configplugin.cpp
    kcm/libinput/libinput_config.cpp
    kcm/xlib/xlib_config.cpp
)

ki18n_wrap_ui(common_SRCS kcm/xlib/kcmmouse.ui)

qt5_add_resources( common_SRCS kcm/resources.qrc )

add_library(kcm_mouse MODULE
    ${common_SRCS}
    ${backend_SRCS}
)

target_link_libraries(kcm_mouse
    ${backend_LIBS}
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Declarative
    PW::KWorkspace

    Qt5::DBus
    Qt5::QuickWidgets
)

install(TARGETS kcm_mouse  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES mouse.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== debian/changelog ===
plasma-desktop (4:5.20.5-4+deb11u1) bullseye; urgency=medium

  * Team upload.
  * Cherry-pick commit to fix the Denial of Service bug in Discover
    (Closes: #1006125).

 -- Patrick Franz <deltaone@debian.org>  Sun, 20 Feb 2022 18:50:03 +0100

plasma-desktop (4:5.20.5-4) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Update upstream metadata.
  * Cherry-pick and adjust upstream fix for crash when deleting activity
    from activity manager

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 13:35:04 +0100

plasma-desktop (4:5.20.5-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream LTS bugfixes:
    - [folder view] de-duplicate switch width/height logic
    - [folder view] Fix display on not-skinny vertical panels

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 13:49:14 +0900

plasma-desktop (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Bump the plasma-workspace-dev build dependency to 5.20.5.
  * Trim trailing whitespace.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 10:14:33 +0100

plasma-desktop (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-desktop (4:5.20.4-2) unstable; urgency=medium

  * Add accountsservice to depends.
  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

plasma-desktop (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Remove references to libkfontinst*, moved to plasma-workspace.
  * Remove outdated patch allow_uxterm_overrides.diff
  * Add patch to fix compilation errors: fix-baloo-compilation
  * Update list of installed files.
  * Remove fixperms override from d/rules.
  * Remove library related code from d/rules.
  * Bump deps/recs to 5.20, remove user-manager (dropped).
  * Break against user-manager.
  * Add KAccounts and necessary deps to B-D.
  * Drop breeze-dev from B-D, drop breeze patch
    debian/patches/Drop-the-patch-version-for-breeze.patch

  [ Aurélien COUDERC ]
  * Add usr/share/account service files to installed files.
  * Backport upstream commit to offer to change kwallet password when changing
    login password.

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove listed license files
    (kcms/touchpad/cmake/modules/COPYING-CMAKE-SCRIPTS) from copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

plasma-desktop (4:5.19.5-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the qml-module-org-kde-newstuff dependency in plasma-desktop-data,
    needed for some KCMs. (Closes: #974652)
  * Update lintian overrides.

  [ Norbert Preining ]
  * Demote ibus-data from deps to recommends (Closes: #974681)

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Nov 2020 09:37:16 +0900

plasma-desktop (4:5.19.5-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Switch dep from ibus-table-emoji to ibus-data.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 06:55:41 +0900

plasma-desktop (4:5.19.5-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Add ibus-table-emoji to depends of plasma-desktop for emoji picker.
  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:42 +0900

plasma-desktop (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Tighten B-D on plasma-workspace-dev.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:39:23 +0900

plasma-desktop (4:5.19.4-2) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Use correct override for arch-indep packages.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 06:44:18 +0900

plasma-desktop (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update Qt build-deps with the info from cmake.
  * Update patches.
  * Update list of installed files.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.
  * Enable build hardening.
  * Clean up lintian overrides.
  * Add python3 to dependencies of plasma-desktop-data.
  * Make kconf_update scripts executable.

 -- Norbert Preining <norbert@preining.info>  Sat, 17 Oct 2020 01:07:19 +0900

plasma-desktop (4:5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Cherrypick upstream patch to fix activities KCM.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:58:27 +0100

plasma-desktop (4:5.17.5-2) experimental; urgency=medium

  * Team upload.
  * Add breaks/replaces with kdeplasma-addons-data & plasma-widgets-addons
    < 5.17, as some files were moved to plasma-deskop. (Closes: #949334)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jan 2020 08:13:32 +0100

plasma-desktop (4:5.17.5-1) experimental; urgency=medium

  * Team upload.



=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: baloo-kf5-dev (>= 5.15~),
               cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               intltool,
               kded5-dev (>= 5.74.0~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.20~),
               libboost-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               kirigami2-dev (>= 5.74.0~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:20.04~),
               libkf5activities-dev (>= 5.74.0~),
               libkf5activitiesstats-dev (>= 5.74.0~),
               libkf5attica-dev (>= 5.74.0~),
               libkf5auth-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5emoticons-dev (>= 5.74.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5guiaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5itemmodels-dev (>= 5.74.0~),
               libkf5kcmutils-dev (>= 5.74.0~),
               libkf5kdelibs4support-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5newstuff-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5notifyconfig-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5runner-dev (>= 5.74.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.20.5~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:5.20~),
         kactivitymanagerd (>= 5.20~),
         kde-cli-tools (>= 4:5.20~),
         kded5,
         kio,
         oxygen-sounds (>= 4:5.20~),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.20~),
         plasma-workspace (>= 4:5.20~),
         polkit-kde-agent-1 (>= 4:5.20~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.20~),
            breeze-gtk-theme (>= 5.20~),
            fonts-hack,
            fonts-noto,
            ibus-data,
            kde-config-gtk-style (>= 4:5.20~),
            kde-config-screenlocker (>= 5.20~),
            kde-config-sddm (>= 4:5.20~),
            kde-style-oxygen-qt5 (>= 4:5.20~),
            kgamma5 (>= 5.20~),
            khelpcenter,
            khotkeys (>= 4:5.20~),
            kinfocenter (>= 4:5.20~),
            kio-extras,
            kmenuedit (>= 4:5.20~),
            kscreen (>= 4:5.20~),
            ksshaskpass (>= 4:5.20~),
            ksysguard (>= 4:5.20~),
            kwin-x11 (>= 4:5.20~) | kwin,
            kwrited (>= 4:5.20~),
            libpam-kwallet5 (>= 5.20~),
            plasma-discover (>= 5.20~),
            plasma-disks (>= 5.20~),
            plasma-pa (>= 4:5.20~),
            powerdevil (>= 4:5.20~),
            systemsettings (>= 4:5.20~),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        user-manager (<< 4:5.20),
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends},
         python3:any
Recommends: plasma-framework (>> 5.22),
            plasma-workspace (>= 4:5.20~),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-org-kde-newstuff,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.17.5~),
        plasma-widgets-addons (<< 4:5.17.5~),
        plasma-widget-kimpanel,
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.17.5~),
          plasma-widgets-addons (<< 4:5.17.5~),
          plasma-widget-kimpanel,
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${so:Depends},
         ${shlibs:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

## plasma-desktop 5.21.4

=== debian/changelog ===
plasma-desktop (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:20 +0100

plasma-desktop (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:32 +0000

plasma-desktop (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:17 +0000

plasma-desktop (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)
  * Drop included upstream_fix-keyboard-migration.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:49 +0000

plasma-desktop (4:5.21.0-0ubuntu2) hirsute; urgency=medium

  * Add upstream_fix-keyboard-migration.patch requested by upstream.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 18:26:50 +0000

plasma-desktop (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:32 +0000

plasma-desktop (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Drop all upstream applied patches.
  * Optional build depend on libpackagekitqt5-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:34 +0000

plasma-desktop (4:5.20.5-3ubuntu1) hirsute; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - fix-baloo-kcm-includes.patch
    - Runtime depend on qml-module-org-kde-kirigami2.
    - Recommend extra noto fonts, plasma-browser-integration, and
      plasma-thunderbolt.
    - Breaks/Replaces to suit Kubuntu history.
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Jan 2021 09:01:24 +0000

plasma-desktop (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:05:07 +0000

plasma-desktop (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - fix-baloo-kcm-includes.patch
    - Runtime depend on qml-module-org-kde-kirigami2.
    - Recommend extra noto fonts, plasma-browser-integration, and
      plasma-thunderbolt.
    - Breaks/Replaces to suit Kubuntu history.
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 11:55:44 +0000

plasma-desktop (4:5.20.4-0ubuntu2) hirsute; urgency=medium

  * Add accountsservice to depends, required for users KCM.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Dec 2020 10:30:13 +0000

plasma-desktop (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)
  * Drop obsolete Drop-the-patch-version-for-breeze.patch
  * Drop obsolete breeze-dev build depend.

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:50:22 +0000

plasma-desktop (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * Build depend on kaccounts.
  * Drop libkfontinst5 and libkfontinstui5 packages, moved to plasma-
    workspace.
  * Update install files.
  * Breaks/Replaces on obsolete user-manager.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:53:58 +0000

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                intltool,
                kded5-dev (>= 5.74.0~),
                kinit-dev,
-               kscreenlocker-dev,
-               kwin-dev (>= 4:5.20~),
+               kirigami2-dev (>= 5.74.0~),
+               kscreenlocker-dev (>= 5.21.4~),
+               kwin-dev (>= 4:5.21.4~),
+               libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
                libfreetype-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               kirigami2-dev (>= 5.74.0~),
-               libaccounts-qt5-dev (>= 1.13~),
                libkaccounts-dev (>= 4:20.04~),
                libkf5activities-dev (>= 5.74.0~),
                libkf5activitiesstats-dev (>= 5.74.0~),
@@ -49,6 +49,7 @@
                libkf5widgetsaddons-dev (>= 5.74.0~),
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
+               libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libqt5svg5-dev (>= 5.15.0~),
@@ -71,7 +72,7 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20.5~),
+               plasma-workspace-dev (>= 4:5.21.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                xserver-xorg-dev,
@@ -80,8 +81,8 @@
                xserver-xorg-input-synaptics-dev,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 Rules-Requires-Root: no
 
 Package: plasma-desktop
@@ -100,19 +101,23 @@
          polkit-kde-agent-1 (>= 4:5.20~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kwindowsystem,
+         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          qml-module-org-kde-solid,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
-         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: bluedevil (>= 4:5.20~),
             breeze-gtk-theme (>= 5.20~),
             fonts-hack,
-            fonts-noto,
+            fonts-noto-cjk,
+            fonts-noto-hinted,
+            fonts-noto-mono,
+            fonts-noto-unhinted,
             ibus-data,
             kde-config-gtk-style (>= 4:5.20~),
             kde-config-screenlocker (>= 5.20~),
@@ -130,9 +135,11 @@
             kwin-x11 (>= 4:5.20~) | kwin,
             kwrited (>= 4:5.20~),
             libpam-kwallet5 (>= 5.20~),
+            plasma-browser-integration,
             plasma-discover (>= 5.20~),
             plasma-disks (>= 5.20~),
             plasma-pa (>= 4:5.20~),
+            plasma-thunderbolt,
             powerdevil (>= 4:5.20~),
             systemsettings (>= 4:5.20~),
 Breaks: baloo-kf5 (<< 5.5),
@@ -140,6 +147,7 @@
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
+        plasma-desktop-data (<< 4:5.20.4-2~),
         plasma-widget-kimpanel,
         plasma-widgets-addons (<< 4:5.17.5~),
         user-manager (<< 4:5.20),
@@ -148,6 +156,7 @@
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
+          plasma-desktop-data (<< 4:5.20.4-2~),
           plasma-widget-kimpanel,
           plasma-widgets-addons (<< 4:5.17.5~),
 Description: Tools and widgets for the desktop
@@ -163,8 +172,7 @@
 
 Package: plasma-desktop-data
 Architecture: all
-Depends: ${misc:Depends},
-         python3:any
+Depends: python3:any, ${misc:Depends}
 Recommends: plasma-framework (>> 5.22),
             plasma-workspace (>= 4:5.20~),
             qml-module-org-kde-activities,
@@ -173,21 +181,23 @@
             qml-module-qtquick-dialogs,
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
+        kde-config-gtk-style (<< 4:5.19.0~),
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
-        kdeplasma-addons-data (<< 4:5.17.5~),
+        plasma-desktop (<< 4:5.20.0~),
+        plasma-widget-kimpanel,
         plasma-widgets-addons (<< 4:5.17.5~),
-        plasma-widget-kimpanel,
         ${kde-l10n:all},
 Replaces: baloo-kf5 (<< 5.5),
           kactivities,
+          kde-config-gtk-style (<< 4:5.19.0~),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          kdeplasma-addons-data (<< 4:5.17.5~),
+          plasma-desktop (<< 4:5.20.0~),
+          plasma-widget-kimpanel,
           plasma-widgets-addons (<< 4:5.17.5~),
-          plasma-widget-kimpanel,
           ${kde-l10n:all},
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
@@ -206,8 +216,8 @@
 Section: devel
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ${so:Depends},
-         ${shlibs:Depends},
 Breaks: kde-config-touchpad (<< 4:5)
 Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop
